#!/bin/bash
set -e

#
# this script compresses everything in $source and saves it in $destination
#

source="$HOME/kskcloud/Musik/"
export destination="$HOME/Musik.tiny/"

cd "$source"

# create directory structure
find . -type d -exec mkdir -p "$destination/{}" \;

# set +e because ffmpeg errors on .jpg, .txt, etc.
# compress with opus
set +e
find . -type f -not -name '*.opus' | parallel --eta --progress 'ffmpeg -v 0 -n -i ""{}"" -c:a libopus -map_metadata 0 -b:a 128k ""$destination/{.}.opus""'
#set -e
